

#ifndef __WORKSPACES_H
#define __WORKSPACES_H

#include "client.h"

/* the number of workspaces: 0..8 */
extern int workspace_count;

/* the current workspace: */
extern long workspace;

extern int showing_desktop;

/* move this to settings.c/h ?*/
extern int wrap_workspaces, cycle_workspaces;

Bool workspaces_match(Client *, int ws);
void client_set_workspace(Client * c, int ws);
void switch_to_workspace(int ws);
void move_client_to_workspace(Client * c, int ws);
void workspaceSetCount(int count);
void setNetWorkarea(void);
void show_desktop(void);
void unshow_desktop(void);

#endif
